%define name guile-gtk-1.2
%define version 0.31
%define release 2mdk

%define major _0
%define libname  %mklibname %name %{major}

Summary:    Makes the GTK+ toolkit accesible from Guile
Name:      %{name}
Version:   %{version}
Release:   %{release}
URL:         http://www.nongnu.org/guile-gtk/latest.html
Source:    %{name}-%{version}.tar.bz2
License:   GPL
Group:     Development/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libguile12-devel gtk+-devel
Requires: %{libname} = %{version}-%{release}

%description 
Guile-gtk is glue code to make the GTK+ toolkit  accesible from Guile.
It provides a  interface for Scheme programmers to develop visual applications. 
It can optionally integrate with gnome via the Gnome-guile module

%package -n %{libname}
Summary:  %{summary}.
Group: System/Libraries
Conflicts: libgnome-guile0
Provides: %{libname} = %{version}-%{release} 
Requires: %name >= %version-%release

%description -n %{libname}
Libraries for making GTK+ accessible from Guile

%package -n %{libname}-devel
Summary:   %{summary}
Group:    Development/C  
Requires: %{libname} = %{version}-%{release} 
Requires:  libguile12-devel gtk+-devel
Provides:  lib%name-devel = %version-%release


%description -n %{libname}-devel
Static libraries and header files for guile-gtk app development

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure2_5x

%make

%install
%makeinstall

##move to versioned dir
mkdir $RPM_BUILD_ROOT/%{_includedir}/%{libname}
mv $RPM_BUILD_ROOT/%{_includedir}/guile-gtk.h $RPM_BUILD_ROOT/%{_includedir}/%{libname}

%post -n %{libname} -p /sbin/ldconfig              

%postun -n %{libname} -p /sbin/ldconfig              

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
#%{_datadir}/guile/gtk/*.*
#%{_datadir}/guile/gtk-1.2/*.*
%{_datadir}/*/*
%{_libdir}/lib*.la
 
%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.* 

%files -n %{libname}-devel
%defattr(-,root,root) 
%{_libdir}/lib*.so  
%{_libdir}/lib*.a
%{_includedir}/%{libname}/*

%changelog
* Tue Feb 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.31-2mdk
- move libtool library to the main package
- fix deps

* Mon Feb 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.31-1mdk
- fix deps
- from Charles A Edwards <eslrahc@bellsouth.net>
  - initial package












